### Function

# Fwupd variant_get_int32

since: 2.1.4

#### Declaration [src]

    gint32
    fwupd_variant_get_int32 (
      GVariant* value
    )

#### Description [src]

Gets an signed integer from a variant.

Available since: 2.1.4

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint32`

Integer, or 0 if not valid.